Package org.acplt.oncrpc

# Class OncRpcBroadcastAdapter

java.lang.Object
org.acplt.oncrpc.OncRpcBroadcastAdapter

All Implemented Interfaces:
  `OncRpcBroadcastListener`

public abstract class OncRpcBroadcastAdapter extends Object implements OncRpcBroadcastListener
An abstract adapter class for `receiving` `ONC/RPC broadcast reply events`. The methods in this class are empty. This class exists as convenience for creating listener objects.

Version:
  $Revision: 1.1 $ $Date: 2003/08/13 12:03:40 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht
See Also:
  - `OncRpcUdpClient`
  - `OncRpcBroadcastAdapter`
  - `OncRpcBroadcastListener`
  - `OncRpcBroadcastEvent`

## Constructor Summary

Constructors
Constructor
Description
`OncRpcBroadcastAdapter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`replyReceived(OncRpcBroadcastEvent evt)`
Invoked when a reply to an ONC/RPC broadcast call is received.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OncRpcBroadcastAdapter

public OncRpcBroadcastAdapter()

## Method Details

### replyReceived

public void replyReceived(OncRpcBroadcastEvent evt)
Invoked when a reply to an ONC/RPC broadcast call is received.

Specified by:
  `replyReceived` in interface `OncRpcBroadcastListener`
Parameters:
  `evt` - The broadcast event received.
See Also:
  - `OncRpcBroadcastEvent`